%define realname Authen-Htpasswd
%define name	perl-%{realname}
%define	modprefix Authen
%define version	0.16
%define release	%mkrel 4

Summary:	Interface to read and modify Apache .htpasswd files
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	Artistic/GPL
Group:		Development/Perl
URL:		http://search.cpan.org/dist/%{realname}/
Source:		ftp://ftp.perl.org/pub/CPAN/modules/by-module/%{modprefix}/%{realname}-%{version}.tar.bz2
Patch0:		Authen-Htpasswd-0.16-bug27012.diff
Patch1:		Authen-Htpasswd-0.16-bug37785.diff
%if %{mdkversion} < 1010
BuildRequires:	perl-devel
%endif
BuildRequires:	perl(Class::Accessor::Fast)
BuildRequires:	perl(Digest)
BuildRequires:	perl(IO::LockedFile)
BuildRequires:	perl(Crypt::PasswdMD5)
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
This module provides a convenient, object-oriented interface to Apache-style
.htpasswd files. It supports passwords encrypted via MD5, SHA1, and crypt, as
well as plain (cleartext) passwords. It requires Crypt::PasswdMD5 for MD5 and
Digest::SHA1 for SHA1. 

%prep
%setup -q -n %{realname}-%{version}
%patch0 -p0
%patch1 -p0

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
rm -rf %{buildroot}
%makeinstall_std

%files
%defattr(-,root,root)
%doc README
%{_mandir}/*/*
%{perl_vendorlib}/%{modprefix}

%clean
rm -rf %{buildroot}





%changelog
* Wed Oct 01 2008 Oden Eriksson <oeriksson@mandriva.com> 0.16-4mdv2009.0
+ Revision: 290358
- fix two upstream bugs
- fix deps

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild
    - kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Thu Aug 16 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.16-1mdv2008.0
+ Revision: 64000
- new version

* Sun Apr 29 2007 Nicolas Lécureuil <neoclust@mandriva.org> 0.15-1mdv2008.0
+ Revision: 19248
-New version


* Tue Aug 08 2006 Scott Karns <scottk@mandriva.org>
+ 2006-08-08 01:27:16 (54275)
- Rebuild, spec file cleanup

* Tue Aug 08 2006 Scott Karns <scottk@mandriva.org>
+ 2006-08-08 01:20:16 (54273)
- import perl-Authen-Htpasswd-0.14-4mdk

* Wed May 03 2006 Scott Karns <socttk@mandriva.org> 0.14-4mdk
- Updated BuildRequires

* Thu Apr 27 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.14-3mdk
- Fix SPEC Using perl Policies

* Sat Mar 25 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.14-2mdk
- Add BuildRequires

* Fri Mar 24 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.14-1mdk
- First Mandriva release

